<?php
// Dati di connessione al database
$host = 'localhost'; // o l'indirizzo del server MariaDB
$dbname = 'azienda';
$username = 'root';  // Sostituisci con il tuo nome utente MariaDB
$password = ''; // Sostituisci con la tua password MariaDB

// Crea la connessione
$conn = new mysqli($host, $username, $password, $dbname);

// Verifica la connessione
if ($conn->connect_error) {
    die("Connessione fallita: " . $conn->connect_error);
}

// La query SQL
$sql = "SELECT qualifica, sum(stipendio) as somma_stipendi	
FROM personale						
GROUP BY qualifica	";

// Esegui la query
$result = $conn->query($sql);

// Controlla se ci sono risultati
if ($result->num_rows > 0) {
    // Output dei risultati
    echo "<table border='1'>
	<tr>
		<th>Qualifica</th>
		<th>Somma Stipendi</th>
	</tr>";
	$qualifica="null";
    while($row = $result->fetch_assoc()) 
    {
	if (isset($row["qualifica"]))
		$qualifica=$row["qualifica"];
        echo "<tr><td>" . $qualifica . "</td><td>" . $row["somma_stipendi"] . "</td></tr>";
    }
    echo "</table>";
} else {
    echo "Nessun risultato trovato";
}

// Chiudi la connessione
$conn->close();
?>
